<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">
    {% include 'snippets/tracking/matomo.tpl' %}
    <title>Profileinstellungen</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/fnon-notification/fnon.min.css?v=[cs_version]">
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
    {% include 'snippets/pb-loader.tpl' %}   
    <div id="contentwrapper" style="display:none;" class="az-body">   
    <div class="az-header">
        <div class="container">
            <div class="az-header-left"><a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="./img/serviceblick_logo.gif" alt="Serviceblick logo"></a>
                <a href="./profile-settings.html"><span class="nav-link text-dark tx-20" data-i18n="profile settings">Profileinstellungen</span></a>
            </div>
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                  <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="./img/serviceblick_logo.gif" alt="Serviceblick logo"></a>
                  <a href="" class="close">&times;</a>
                </div>
            </div>
            <div class="az-header-right">
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div>
        </div>
    </div>

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
            <div class="component-item">
                <div class="az-avatar-no-status avatar-xxl mg-b-20" id="left_nav_avatar"><i class="fas fa-user fa-1x"></i><!-- initials generated here on page load --></div>
                <h5 class="az-profile-name force-wrap mg-b-20" id="left_nav_name"><!-- profile name generated here on page load --></h5>
                <label>Profilverwaltung</label>
                <nav class="nav flex-column" id="use-activate-menu">
                    <a data-permission="system.user.own.profile" href="./profile-settings.html" class="nav-link" data-i18n="Personal data">Persönliche Daten</a>
                    <a data-permission="dashboard.management.change_own_password" href="./profile-password.html" class="nav-link hidden" data-i18n="Change Password">Passwort ändern</a>
                </nav>
            </div><!-- component-item -->
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40  ">
            <div class="az-content-breadcrumb">
                <span>Mein Profil</span>
                <span>Passwort ändern</span>
            </div>

            <h2 class="az-content-title">Meine Profilinformationen</h2>

            <div data-permission="dashboard.management.change_own_password" class="hidden">
                <div class="az-content-label mg-b-5">Passwort</div>
                    <p class="mg-b-20" data-i18n="Here you can reset your password">Here you can reset your password</p>

                        <div class="d-flex flex-column wd-md-400 pd-30 pd-sm-40 bg-gray-200">
                            <div class="form-group">
                                <label for="old_password" class="form-label" data-i18n="Current password">Current password <span class="tx-danger">*</span></label>
                                    <div class="password-combo">
                                        <input id="old_password" name="old_password" data-group="password" type="password" class="form-control" required><span class="btn" id="pw-toggle-old"><i class="far fa-eye"></i></span>
                                    </div>
                                <span role="alert" id="old_passwordError" class="error" aria-hidden="true" data-i18n="Please enter your current password.">
                                    Bitte geben Sie Ihr aktuelles Passwort ein.
                                </span>
                            </div><!-- form-group -->
                            <div class="form-group">
                                <label for="new_password" class="form-label" data-i18n="New password">New password<span class="tx-danger">*</span></label>
                                <div class="password-combo">
                                    <input id="new_password" name="new_password" data-group="password" type="password" class="form-control" required pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=(.*[!@#$%^&*()\-__+.]){1,})\S{8,}$" required><span class="btn" id="pw-toggle-new"><i class="far fa-eye"></i></span>
                                </div>
                                <span role="alert" id="new_passwordError" class="error" aria-hidden="true" data-i18n="Please enter a new password.">
                                    Please enter a new password.
                                </span>
                                <div id="message">
                                    <p id="length" class="invalid" data-i18n="pw error length">Your password must contain a minimum 8 characters,</p>
                                    <p id="letter" class="invalid" data-i18n="pw error letter">At lease 1 lowercase letter,</p>
                                    <p id="capital" class="invalid" data-i18n="pw error capital">1 capital letter,</p>
                                    <p id="number" class="invalid"data-i18n="pw error number">1 number and</b></p>
                                    <p id="special" class="invalid" data-i18n="pw error special">1 !@#$%&*()-__+.</p>
                                </div>
                            </div><!-- form-group -->
                            <div class="form-group">
                                <label for="new_password_confirm" class="form-label" data-i18n="Confirm new password:">Confirm new password:<span class="tx-danger">*</span></label>
                                <div class="password-combo">
                                    <input id="new_password_confirm" name="new_password_confirm" data-group="password" type="password" class="form-control" required>
                                        <span class="btn" id="pw-toggle-new-confirm"><i class="far fa-eye"></i></span>
                                </div>
                                <span role="alert" id="new_password_confirmError" class="error" aria-hidden="true" data-i18n="Please re-enter the new password.">
                                    Please re-enter the new password.
                                </span>
                            </div><!-- form-group -->

                            <p id="login-error-msg"></p>
                                <button id="submit_password_dialog_button" type="button" class="btn btn-indigo" data-i18n="Change Password">Passwort ändern</button>
                        </div>
                    <hr class="pd-y-20 border border-0">
                </div><!-- password setting -->
            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->
    
    </div><!--contentwrapper-->

    <script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
    <script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
    <script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
    <script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
    <script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
    <script src="/style-global/js/azia.js?v=[cs_version]"></script>
    <script src="/csf-lib/vendor/jquery/jquery.blockUI.js?v=[cs_version]"></script>
    
    
    <script defer type="module">
        import {PbLogin} from '../csf-lib/pb-login.js?v=[cs_version]';
        import {getCookie} from "../csf-lib/pb-functions.js?v=[cs_version]";
        import { pbBrain } from '../csf-lib/pb-brain.js?v=[cs_version]'
        new pbBrain().boot("system-profile-settings-circuit")

        new PbLogin().init(getCookie("username")).then(function(login) {
        if (login.profileData.firstname && login.profileData.firstname != undefined) {
            $('#left_nav_name').html(login.profileData.firstname + " " + login.profileData.lastname)
            $('#left_nav_avatar').html(login.profileData.firstname.charAt(0) + login.profileData.lastname.charAt(0))
            }
        })

        $('#firstname').keyup(function() {
                $('#avatar2').html($(firstname).val().charAt(0)+$(lastname).val().charAt(0));
            }) 
        $('#lastname').keyup(function() {
                $('#avatar2').html($(firstname).val().charAt(0)+$(lastname).val().charAt(0));
            }) 

    </script>
</body>

</html>